Subject: [bug#59822] [PATCH guix-artwork] website: base: home: Add 'DOWNLOAD LATEST' button.

From: zimoun <[email-masked]>
Date: Tue, 06 Dec 2022 12:22:50 +0100

Hi,

On Mon, 05 Dec 2022 at 18:06, "pelzflorian (Florian Pelz)" <[email-masked]> wrote:

> zimoun <[email-masked]> writes:
>> this sentence could be added,
>>
>> These images are well-tested released images, and since Guix follows
>> rolling release model, you might prefer to use [latest images](https://guix.gnu.org/en/download/latest/)
>
> This is not a reason.  On the contrary, users of 1.3.0 will get the
> current software once they upgrade.

It appears to me that this choice is up to the user. :-)

BTW, since the release are less frequent than we would all like, some
bugs in the v1.3 installer had been fixed.  I do not have examples at
hand (because I am too lazy to dig the bug tracker ;-)) but some reports
have been closed with “already fixed, give a try to the new installer”.

> I can think of one consequence of using the 1.3.0 image: Users might
> have to adapt the generated config.scm once they pull and reconfigure.
> For example, because of changes in the swap-space definition.  But this
> isn’t really a downside, since the OS configuration is the reason to use
> Guix on Guix System instead of a foreign distro.
>
> There maybe is hardware that is not yet supported on standard installer
> images.  But it doesn’t need to be mentioned.  There are no cutting edge
> hardware users on a libre distro, are there?  Except those using tainted
> versions of the installer, not offered here.

Well, I think it is worth to mention from this webpage

    https://guix.gnu.org/en/download/

the latest development webpage

    https://guix.gnu.org/en/download/latest/
 
Therefore, I still propose on the webpage <https://guix.gnu.org/en/download/>
to add this sentence:

--8<---------------cut here---------------start------------->8---
These images are well-tested released images, and since Guix follows
rolling release model, the [latest development images are
here](https://guix.gnu.org/en/download/latest/).
--8<---------------cut here---------------end--------------->8---

WDYT?

> Lastly, I’m reluctant to change existing sentences, because they will
> not be translated soon enough.

To me, this patch is orthogonal to release 1.4.  Well, if you think it
is better to apply after the publication of the release, that’s fine. :-)

Cheers,
simon